
Foreman - Feature #26488

graphql: add currentUser query

03/30/2019 02:15 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6629

  

Description

A graphql user should be able to get information about himself.

A query to get all usergroups for the currently signed in user should look like this:

   currentUser {

      usergroups {

        id

        name

      }

    }

Related issues:

Related to Foreman - Tracker #22109: Foreman should support a graphql api New

Associated revisions

Revision f04d8d48 - 04/18/2019 01:37 PM - Timo Goebel

fixes #26488 - graphql: add currentUser query

History

#1 - 03/30/2019 02:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6629 added

#2 - 03/30/2019 06:20 PM - Timo Goebel

- Related to Tracker #22109: Foreman should support a graphql api added

#3 - 04/18/2019 01:37 PM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#4 - 04/18/2019 02:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset f04d8d48a9a382453619a340cbebca4b4a262770.
